var custom_uploader;
jQuery(document).ready(function(){
	jQuery('.all_options').slideUp();

	jQuery('.input_title h3').click(function(){
		if(jQuery(this).parent().next('.all_options').css('display')=='none'){
			jQuery(this).removeClass('inactive');
			jQuery(this).addClass('active');
			jQuery(this).children('img').removeClass('inactive');
			jQuery(this).children('img').addClass('active');
		}
		else{
			jQuery(this).removeClass('active');
			jQuery(this).addClass('inactive');
			jQuery(this).children('img').removeClass('active');
			jQuery(this).children('img').addClass('inactive');
		}

		jQuery(this).parent().next('.all_options').slideToggle('slow');
	});


	jQuery('#upload_wpaitaliadigitale_logo').click(function() {
		custom_uploader = wp.media.frames.file_frame = wp.media(
		{
			title: 'Choose Image',
			button: {
				text: 'Choose Image'
			},
			multiple: false
		});
		custom_uploader.on('select', function()
		{
			attachment = custom_uploader.state().get('selection').first().toJSON();
			jQuery('#wpaitaliadigitale_logo').val(attachment.url);
			jQuery('#upload_wpaitaliadigitale_logo_preview img').attr('src',attachment.url);
		});
		custom_uploader.open();
		return false;
	});

	jQuery('#upload_wpaitaliadigitale_footer_logo').click(function() {
		custom_uploader = wp.media.frames.file_frame = wp.media(
		{
			title: 'Choose Image',
			button: {
				text: 'Choose Image'
			},
			multiple: false
		});
		custom_uploader.on('select', function()
		{
			attachment = custom_uploader.state().get('selection').first().toJSON();
			jQuery('#wpaitaliadigitale_footer_logo').val(attachment.url);
			jQuery('#upload_wpaitaliadigitale_footer_logo_preview img').attr('src',attachment.url);
		});
		custom_uploader.open();
		return false;
	});




});
